Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.shared.services.impl.events
Class JbpmServicesEventImpl<T>

    java.lang.Object
      org.jbpm.shared.services.impl.events.JbpmServicesEventImpl<T>

All Implemented Interfaces:
  Serializable, javax.enterprise.event.Event<T>

    @Veto
    public class JbpmServicesEventImpl<T>

extends Object
implements javax.enterprise.event.Event<T>, Serializable

See Also:
  Serialized Form

Constructor Summary
`JbpmServicesEventImpl()`

Method Summary
`boolean` | `addListener(JbpmServicesEventListener e)`
`void` | `clearListeners()`
`void` | `fire(T t)`
`List<JbpmServicesEventListener>` | `getListeners()`
`javax.enterprise.event.Event<T>` | `select(Annotation... antns)`
`
`<U extends T> javax.enterprise.event.Event<U>`
` | `select(Class<U> type, Annotation... antns)`
`
`<U extends T> javax.enterprise.event.Event<U>`
` | `select(javax.enterprise.util.TypeLiteral<U> tl, Annotation... antns)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JbpmServicesEventImpl

    public JbpmServicesEventImpl()

Method Detail

### fire

    public void fire(T t)

  Specified by:
    `fire` in interface `javax.enterprise.event.Event<T>`

### addListener

    public boolean addListener(JbpmServicesEventListener e)

### clearListeners

    public void clearListeners()

### getListeners

    public List<JbpmServicesEventListener> getListeners()

### select

    public javax.enterprise.event.Event<T> select(Annotation... antns)

  Specified by:
    `select` in interface `javax.enterprise.event.Event<T>`

### select

    public <U extends T> javax.enterprise.event.Event<U> select(Class<U> type,
                                                                Annotation... antns)

  Specified by:
    `select` in interface `javax.enterprise.event.Event<T>`

### select

    public <U extends T> javax.enterprise.event.Event<U> select(javax.enterprise.util.TypeLiteral<U> tl,
                                                                Annotation... antns)

  Specified by:
    `select` in interface `javax.enterprise.event.Event<T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.